<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
    <link rel="stylesheet" href="../assets/css/salesOrderMonitoring.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel = "icon" href = "../assets/image/Manila Bay Thread Icon.png">

    <title>Customer Portal</title>
</head>
<body>
    <nav id="navBar">
        <img id="navBarIcon" src="../assets/image/Manila Bay Threads Logo.png">
        <div id="userMenuNav">
        </div> 
    </nav>

    <form id="salesOrderMonitoringForm">
        <div>
            <div id="filterRow">
                <label for="filterStatus">Status Filter:</label>
                <select name="filterStatus" id="filterStatus"></select>
            </div>

            <div>
                <div id="buttonRow"></div>
            </div>
        <div>   

        <table id="tableHeader"> 
            <thead>
            <tr>
                <th style="width: 2rem;"><input type="checkbox" id="flexCheckDefault"  onclick="toggle(this);">All</input></th>
                <th style="width: 5rem;">SO ID</th>
                <th style="width: 5rem;">SQ ID</th>
                <th style="width: 7rem;">Status</th>
                <th id="accountIdColumn" style="width: 5rem;">ID</th>
                <th id="accountNameColumn" style="width: 24rem;">Account Name</th>
                <th style="width: 4rem;">S.G.</th>
                <th style="width: 6.5rem;">C.G.</th>
                <th style="width: 10rem;">Reference</th>
                <th style="width: 4rem;">Currency</th>
                <th style="width: 7.5rem;">Amount</th>
                <th style="width: 7rem;">Creation Date</th>
                <th style="width: 8rem;">Created By</th>
                <th style="width: 13rem;">Post/Approve/Cancel By</th>
                <th style="width: 12rem;">Date and Time</th>
                <th style="width: 8rem;">Delivery Block</th>
                <th style="width: 9rem;">Cancel Reason</th>
            </tr>
        </thead>
        <tbody id="salesOrderTable"></tbody>
        </table>       
        
        
    </form>

    <!-- Cancel Modal -->
    <div class="modal fade" id="cancelModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Reason for Cancellation:</h5>
                    <button type="button" class="close" id="closeCancelModalButton" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                  <select class="form-select"  id="explanation" name="explanation">
                    <option value="No Longer Needed">No Longer Needed</option>
                    <option value="Cancelled by Buyer">Cancelled by Buyer</option>
                    <option value="Change in Color">Change in Color</option>
                    <option value="Change in Item">Change in Item</option>
                    <option value="Wrong Order by Customer">Wrong Order by Customer</option>
                    <option value="Wrong PO Reference">Wrong PO Reference</option>
                  </select>
                </div>
                <div class="modal-footer">
                    <button type="button" id="cancelModalButton" class="btn btn-primary">Cancel Sales Order</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Yes or No Modal -->
    <div class="modal fade" id="yesOrNoModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Set Invoice Block?</h5>
                    <button type="button" class="close" id="closeYesOrNoModalButton" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body mx-auto">
                    <button type="button" id="yesButton" class="btn btn-primary">Yes</button>
                    <button type="button" id="noButton" class="btn btn-primary">No</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Invoice Block Modal -->
    <div class="modal fade" id="invoiceBlockModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Delivery Block Reason:</h5>
                    <button type="button" class="close" id="closeInvoiceBlockModalButton" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <select class="form-select"  id="invoiceBlockSelection" name="invoiceBlockSelection">
                        <option value="01">Calculation Missing</option>
                        <option value="02">Confirmation Still Open</option>
                        <option value="03">Pricing Incomplete</option>
                        <option value="04">Delivery Incomplete</option>
                        <option value="90">Default Invoice Block Reason for Returns</option>
                        <option value="Z5">With Unpaid Invoice</option>
                        <option value="Z6">With Bounced Check</option>
                        <option value="Z7">Closed Account</option>
                    </select>
                </div>
                <div class="modal-footer">
                    <button type="button" id="invoiceBlockModalButton" class="btn btn-primary">Set Invoice Block</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Ascending or Descending Modal -->
    <div class="modal fade" id="ascendDescendModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-body">
                    <button type="button" id="ascendModalButton" class="btn btn-primary">Sort Ascending</button>
                    <button type="button" id="descendModalButton" class="btn btn-primary">Sort Descending</button>
                    <button type="button" id="removeSortModalButton" class="btn btn-primary">Remove Sort</button>
                </div>
            </div>
        </div>
    </div>

    <footer class="footer">
        <a  href="https://www.service101plus.com/"> <img id="imgsaplogo" src="../assets/image/Service101Plus Icon.png" style="height: 25px;">Copyright © 2021 All Rights Reserved | Service 101 plus Consulting Inc.</a>
    </footer>

    <div id="myimgdivshowhide">
        <img src="../assets/image/loading.gif" alt="Loading..." id="loadingGif"/>
    </div>

    <script src="../assets/js/navBar.js"></script>
    <script src="../assets/js/salesOrderMonitoring.js"></script>   
</body>
<footer class="footer"></footer>
<script src="../assets/js/footer.js"></script>
</html>
